The Scrum Factory

Public hub

Sorry, we could not find any project with this number, client or name showing top 20 results


or click here to start Scrum Factory

Requirements
This server supports clients of following versions: 3.2.*.*
Scrum Factory is a Click-Once Windows Client application and requires .Net Framework 4.0 to run.

For Chorme web-browsers, please install the
Click-Once Google Extension